Feature #972

Updated by wuttke almost 6 years ago

As agreed in today's meeting, BornAgain-the-program should be identified with GUI version. Born-Again-the-library, which can be operated through Python scripts, should be described as a variant thereof, targeted at specialists.

TODO:
- In the cmake files, set BORNAGAIN_GUI=ON by default.
- Update the Unix build instructions
- to describe GUI version first
- to list Qt5 along with other dependencies.
- Where possible, use the distributions' native Qt5 packages
-
Under Debian, I need at least some of the following packages:

qt5-default libqt5designercomponents5 qttools5-dev qtscript5-dev

None of them is presently listed on
http://www.bornagainproject.org/documentation/installation/unix/short_instruction and
http://www.bornagainproject.org/documentation/installation/unix/install_third_party_software

Back